Merge Variants

View as Markdown
Merges multiple product variants into a target variant. Provide an array of variant IDs to merge into the target variant specified in the path. Inventory from the merged variants will be consolidated into the target variant.

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token or OAuth2

Path parameters

variantIdstringRequiredformat: "int64"
The ID of the variant to use as the merge target

Request

The variants that should be merged to the target variant
idlongOptional

Response

Created
created_ondatetime or null
Timestamp when the product was created
idlong or null
Unique identifier for the product
namestring or null
Product name
taxonomyobject or null
Product categorization information including category hierarchy
typestring or null

Product type (e.g., ‘Regular’ or ‘Bundle’)

updated_ondatetime or null
Timestamp when the product was last updated
user_idlong or null
ID of the user who owns this product
variantslist of objects or null
List of variants belonging to this product. Each variant represents a specific SKU.